function EFFECT:Init(data)
	self.Start = data:GetOrigin()
	self.Emitter = ParticleEmitter(self.Start)
	for i = 1, 30 do
		local w = self.Emitter:Add("effects/spark", self.Start)
		if w then
			w:SetDieTime(1)
			w:SetStartAlpha(255)
			w:SetEndAlpha(0)
			w:SetStartSize(1)
			w:SetEndSize(0)
			w:SetRoll(math.Rand(0,360))
			w:SetRollDelta(math.Rand(-5,5))
			w:SetAirResistance(70)
			w:SetGravity(Vector(0,0,-500))
			w:SetVelocity(Vector(math.Rand(-65,65), math.Rand(-65,65), math.Rand(35,95)))
			w:SetCollide(true)
			w:SetBounce(0.6)
		end
	end
	self.Emitter:Finish()
end

function EFFECT:Think()
	return false
end

function EFFECT:Render()
end